CMSIS-DSP: arm_yule_distance.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_yule_distance.c File Reference

## Functions

void | arm_boolean_distance_TT_FF_TF_FT (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools, uint32_t *cTT, uint32_t *cFF, uint32_t *cTF, uint32_t *cFT)
float32_t | arm_yule_distance (const uint32_t *pA, const uint32_t *pB, uint32_t numberOfBools)
| Yule distance between two vectors. More...

## Function Documentation

void arm_boolean_distance_TT_FF_TF_FT | ( | const uint32_t * | pA,
|  | const uint32_t * | pB,
|  | uint32_t | numberOfBools,
|  | uint32_t * | cTT,
|  | uint32_t * | cFF,
|  | uint32_t * | cTF,
|  | uint32_t * | cFT
| ) |  |